org.apache.cassandra.service.pager

## Interface SinglePartitionPager

- All Superinterfaces:
    QueryPager
  All Known Implementing Classes:
    NamesQueryPager, SliceQueryPager

      public interface SinglePartitionPager
      extends QueryPager

  Common interface to single partition queries (by slice and by name). For use by MultiPartitionPager.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnCounter` | `columnCounter()`
    `java.nio.ByteBuffer` | `key()`

    - ### Methods inherited from interface org.apache.cassandra.service.pager.QueryPager

      `fetchPage, isExhausted, maxRemaining, state`

- - ### Method Detail

    - #### key

          java.nio.ByteBuffer key()

    - #### columnCounter

          ColumnCounter columnCounter()

Copyright © 2018 The Apache Software Foundation